import { genTokenPayload, getData, postData, updateData } from './interfaces';
export { getData, postData, updateData };
export declare const logger: import("pino").Logger<never>;
export declare class ApiConfig {
    baseURL?: string | undefined;
    headers?: object | undefined;
    constructor(baseURL?: string | undefined, headers?: object | undefined);
    generateToken(payload: genTokenPayload, secret: string): unknown;
    decodeToken(token: string, secret: string): any;
    getLocalStorageValue(key: string): any;
    get(data: getData): Promise<unknown>;
    post(data: postData): Promise<unknown>;
    put(data: updateData): Promise<unknown>;
    patch(data: updateData): Promise<unknown>;
    delete(data: updateData): Promise<unknown>;
    protected isValidUrl: (url: string) => boolean;
    protected newUrl: (url: string) => string;
    protected CallApi(url: string, requestValues?: object): Promise<unknown>;
}
